package com.lightinit.hsdataportal.json.pojo.solr;

import org.codehaus.jackson.annotate.JsonProperty;

import java.util.Date;

/**
 * Created by Mr.Yao on 2017/12/7.
 */
public class CoreItemEntity {
    @JsonProperty("name")
    protected String name;
    @JsonProperty("isDefaultCore")
    protected boolean isDefaultCore;
    @JsonProperty("instanceDir")
    protected String instanceDir;
    @JsonProperty("dataDir")
    protected String dataDir;
    @JsonProperty("config")
    protected String config;
    @JsonProperty("schema")
    protected String schema;
    @JsonProperty("startTime")
    protected Date startTime;
    @JsonProperty("uptime")
    protected long uptime;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public boolean isDefaultCore() {
        return isDefaultCore;
    }

    public void setDefaultCore(boolean defaultCore) {
        isDefaultCore = defaultCore;
    }

    public String getInstanceDir() {
        return instanceDir;
    }

    public void setInstanceDir(String instanceDir) {
        this.instanceDir = instanceDir;
    }

    public String getDataDir() {
        return dataDir;
    }

    public void setDataDir(String dataDir) {
        this.dataDir = dataDir;
    }

    public String getConfig() {
        return config;
    }

    public void setConfig(String config) {
        this.config = config;
    }

    public String getSchema() {
        return schema;
    }

    public void setSchema(String schema) {
        this.schema = schema;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public long getUptime() {
        return uptime;
    }

    public void setUptime(long uptime) {
        this.uptime = uptime;
    }
}
